### ContentPackage: IMS Content Packaging support for Zope
### Copyright (C) 2002 Scott Wilson (s.wilson@bangor.ac.uk)
###
### This library is free software; you can redistribute it and/or
### modify it under the terms of the GNU Lesser General Public
### License as published by the Free Software Foundation; either
### version 2.1 of the License, or (at your option) any later version.
###
### This library is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
### Lesser General Public License for more details.
### 
### You should have received a copy of the GNU Lesser General Public
### License along with this library; if not, write to the Free Software
### Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###
###
### This provides the CMI functions used by
### SCORM-"compliant" objects
### Works in conjunction with the "api.dtml"
### JScript file.
### 
### Scott Wilson 5 Nov 2002
### First cut
###

class SCORMRuntime:
	"""Mixin class to provide methods supporting Javascript calls
	   from SCORM content
	"""

	def LMSFinish(self):
		"""Return the user to the Content Package top level
		"""
                print "LMSFinish()"
                href = str(self.absolute_url()) + "/manage_viewOrganisation"
		return href

	def LMSGetValue(self,name):
		"""Get the value requested from the CMI model
		"""
                value = ''
		print "LMSGetValue("+name+")"
                if name=='cmi.core.student_name':
			value = 'Scott'
		else:
			value ='0'
		return value

	def LMSSetValue(self,parameters):
		"""Set a CMI variable
		"""
                print "LMSSetValue("+parameters+")"
		try:
			params = string.split(parameters,'::')
			name = params[0]
			value = params[1]
		except:
			return 0
		return 1
