from ContentPackage import *
from Manifest import *
from OFS import Folder

__doc__="""ContentPackage initialization module"""
__version__= '0.2'



def initialize(context):
    """Initialize the ContentPackage product"""

    
    context.registerClass(
        ContentPackage,
        constructors = (manage_addContentPackageForm,
                        manage_addContentPackage
                        ),
        icon='image/ContentPackage_icon.png'
        )
    
    context.registerClass(
        Manifest,
        constructors = (manage_addManifestForm,
                        manage_addManifest
                        ),
        icon='image/Manifest_icon.gif'
        )
 
    context.registerHelp()
    
